# Changelog

## [3.0.3](https://github.com/samvera/noid-rails/tree/3.0.3) (2021-05-13)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v3.0.2...3.0.3)

**Merged pull requests:**

- Fix code climate badge [\#102](https://github.com/samvera/noid-rails/pull/102) ([bess](https://github.com/bess))
- Update CI matrix to only cover supported versions [\#101](https://github.com/samvera/noid-rails/pull/101) ([bess](https://github.com/bess))
- Fix deprecated/removed update\_attributes! with update! [\#100](https://github.com/samvera/noid-rails/pull/100) ([dgcliff](https://github.com/dgcliff))
- Remove remaining active\_fedora:noid references from README [\#99](https://github.com/samvera/noid-rails/pull/99) ([cjcolvar](https://github.com/cjcolvar))
- Adding CONTRIBUTING.md

This was uploaded via automation. [\#98](https://github.com/samvera/noid-rails/pull/98) ([jeremyf](https://github.com/jeremyf))

## [v3.0.2](https://github.com/samvera/noid-rails/tree/v3.0.2) (2020-06-11)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v3.0.1...v3.0.2)

**Implemented enhancements:**

- Test against Ruby releases 2.6.3, 2.5.5, and 2.4.6 [\#90](https://github.com/samvera/noid-rails/issues/90)

**Closed issues:**

- Add support for Rails 6.0.z releases [\#94](https://github.com/samvera/noid-rails/issues/94)
- Add support for Ruby 2.7.z releases [\#93](https://github.com/samvera/noid-rails/issues/93)
- Use CircleCI for continuous integration [\#88](https://github.com/samvera/noid-rails/issues/88)

**Merged pull requests:**

- Prep for 3.0.2 release [\#97](https://github.com/samvera/noid-rails/pull/97) ([bess](https://github.com/bess))
- Align on current samvera style guide [\#96](https://github.com/samvera/noid-rails/pull/96) ([bess](https://github.com/bess))
- Adding Ruby 2.7.z and Rails 6.y.z releases to the CircleCI build configuration [\#95](https://github.com/samvera/noid-rails/pull/95) ([jrgriffiniii](https://github.com/jrgriffiniii))
- Update CircleCI Ruby and Rails versions [\#92](https://github.com/samvera/noid-rails/pull/92) ([botimer](https://github.com/botimer))
- Updates the CircleCI configuration to test against Ruby releases 2.6.3, 2.5.5, and 2.4.6 [\#91](https://github.com/samvera/noid-rails/pull/91) ([jrgriffiniii](https://github.com/jrgriffiniii))
- Use CircleCI over Travis [\#89](https://github.com/samvera/noid-rails/pull/89) ([tpendragon](https://github.com/tpendragon))
- Test on latest rails versions including 5.2.2 [\#87](https://github.com/samvera/noid-rails/pull/87) ([cjcolvar](https://github.com/cjcolvar))

## [v3.0.1](https://github.com/samvera/noid-rails/tree/v3.0.1) (2018-11-26)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v3.0.0...v3.0.1)

**Fixed bugs:**

- Cannot override identifier\_in\_use lambda [\#85](https://github.com/samvera/noid-rails/issues/85)

**Closed issues:**

- Report code coverage to coveralls [\#80](https://github.com/samvera/noid-rails/issues/80)
- Update README/Code\_of\_Conduct/CONTRIBUTING/etc to CCMWG Templates [\#79](https://github.com/samvera/noid-rails/issues/79)

**Merged pull requests:**

- Allow override of identifier\_in\_use lambda [\#86](https://github.com/samvera/noid-rails/pull/86) ([elrayle](https://github.com/elrayle))
- Updates the documentation to be in compliance with the Component Maintenance WG templates [\#84](https://github.com/samvera/noid-rails/pull/84) ([jrgriffiniii](https://github.com/jrgriffiniii))
- Remove Gemnasium [\#83](https://github.com/samvera/noid-rails/pull/83) ([jcoyne](https://github.com/jcoyne))
- Change Hydra to Samvera, remove Gemnasium [\#82](https://github.com/samvera/noid-rails/pull/82) ([jcoyne](https://github.com/jcoyne))
- Adjusting the spec config. in order to report test coverage to Coveralls [\#81](https://github.com/samvera/noid-rails/pull/81) ([jrgriffiniii](https://github.com/jrgriffiniii))
- Update readme for samvera and the noid-rails change. [\#78](https://github.com/samvera/noid-rails/pull/78) ([jcoyne](https://github.com/jcoyne))

## [v3.0.0](https://github.com/samvera/noid-rails/tree/v3.0.0) (2017-12-13)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.2.0...v3.0.0)

**Merged pull requests:**

- Don't calculate coverage on the generated test app [\#77](https://github.com/samvera/noid-rails/pull/77) ([jcoyne](https://github.com/jcoyne))
- Drop the dependency on active-fedora [\#76](https://github.com/samvera/noid-rails/pull/76) ([jcoyne](https://github.com/jcoyne))
- Allow running on ActiveFedora 12 [\#75](https://github.com/samvera/noid-rails/pull/75) ([jcoyne](https://github.com/jcoyne))
- Bump version to 2.2.0 [\#74](https://github.com/samvera/noid-rails/pull/74) ([jcoyne](https://github.com/jcoyne))
- Updating CONTRIBUTING.md as per Hydra v11.0.0 [\#64](https://github.com/samvera/noid-rails/pull/64) ([jeremyf](https://github.com/jeremyf))

## [v2.2.0](https://github.com/samvera/noid-rails/tree/v2.2.0) (2017-05-25)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.1.0...v2.2.0)

**Merged pull requests:**

- Add a module mixin to make integration easier [\#73](https://github.com/samvera/noid-rails/pull/73) ([jcoyne](https://github.com/jcoyne))
- Bump version to 2.1.0 [\#72](https://github.com/samvera/noid-rails/pull/72) ([jcoyne](https://github.com/jcoyne))

## [v2.1.0](https://github.com/samvera/noid-rails/tree/v2.1.0) (2017-05-18)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.2...v2.1.0)

**Merged pull requests:**

- Support rails 5.1 [\#71](https://github.com/samvera/noid-rails/pull/71) ([jcoyne](https://github.com/jcoyne))

## [v2.0.2](https://github.com/samvera/noid-rails/tree/v2.0.2) (2017-03-01)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.1...v2.0.2)

**Closed issues:**

- DB minter locking logical problems [\#66](https://github.com/samvera/noid-rails/issues/66)
- Minter::Db\#read locks the object without freeing it [\#65](https://github.com/samvera/noid-rails/issues/65)

**Merged pull requests:**

- Bump version to 2.0.2 [\#70](https://github.com/samvera/noid-rails/pull/70) ([atz](https://github.com/atz))
- next\_id should only query once inside the transaction [\#69](https://github.com/samvera/noid-rails/pull/69) ([atz](https://github.com/atz))
- Relax rake dependency pinning [\#68](https://github.com/samvera/noid-rails/pull/68) ([cbeer](https://github.com/cbeer))
- Remove db:migrate from the generator [\#63](https://github.com/samvera/noid-rails/pull/63) ([jcoyne](https://github.com/jcoyne))
- Update README to be less specific about versions [\#62](https://github.com/samvera/noid-rails/pull/62) ([mjgiarlo](https://github.com/mjgiarlo))

## [v2.0.1](https://github.com/samvera/noid-rails/tree/v2.0.1) (2017-01-09)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.0...v2.0.1)

**Closed issues:**

- Calling select on nil raises NoMethodError. [\#59](https://github.com/samvera/noid-rails/issues/59)

**Merged pull requests:**

- Bump version to 2.0.1 [\#61](https://github.com/samvera/noid-rails/pull/61) ([jcoyne](https://github.com/jcoyne))
- Automatically seed the database. Fixes \#59 [\#60](https://github.com/samvera/noid-rails/pull/60) ([jcoyne](https://github.com/jcoyne))
- Update README.md [\#58](https://github.com/samvera/noid-rails/pull/58) ([mjgiarlo](https://github.com/mjgiarlo))
- Sync up the master README and 2.x-stable README [\#56](https://github.com/samvera/noid-rails/pull/56) ([carrickr](https://github.com/carrickr))
- remove note 1 from the readme but use the more descriptive code block [\#55](https://github.com/samvera/noid-rails/pull/55) ([carrickr](https://github.com/carrickr))
- replace note 2 with the text from Sufia's minter doc [\#53](https://github.com/samvera/noid-rails/pull/53) ([carrickr](https://github.com/carrickr))
- update the version.rb file and mark the specific version in the README [\#52](https://github.com/samvera/noid-rails/pull/52) ([carrickr](https://github.com/carrickr))

## [v2.0.0](https://github.com/samvera/noid-rails/tree/v2.0.0) (2016-11-29)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.1.3...v2.0.0)

**Closed issues:**

- Test gem in two configurations: with Rails and without Rails [\#36](https://github.com/samvera/noid-rails/issues/36)
- Conditionalize autoload of Engine and classes that depend on ActiveRecord [\#35](https://github.com/samvera/noid-rails/issues/35)

**Merged pull requests:**

- Rework RSpec module with enable/disable methods [\#51](https://github.com/samvera/noid-rails/pull/51) ([no-reply](https://github.com/no-reply))
- Stop spamming IRC with Travis builds [\#50](https://github.com/samvera/noid-rails/pull/50) ([mjgiarlo](https://github.com/mjgiarlo))

## [v1.1.3](https://github.com/samvera/noid-rails/tree/v1.1.3) (2016-10-26)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.0.beta6...v1.1.3)

## [v2.0.0.beta6](https://github.com/samvera/noid-rails/tree/v2.0.0.beta6) (2016-10-26)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.0.beta5...v2.0.0.beta6)

**Closed issues:**

- Time to graduate out of labs? [\#22](https://github.com/samvera/noid-rails/issues/22)

**Merged pull requests:**

- Treeify algorithm should raise ArgumentError when passed nil or empty string  [\#47](https://github.com/samvera/noid-rails/pull/47) ([mjgiarlo](https://github.com/mjgiarlo))
- Align README with other promoted gems' READMEs. Fixes \#22 [\#46](https://github.com/samvera/noid-rails/pull/46) ([mjgiarlo](https://github.com/mjgiarlo))
- Clarify the README: must run generator before using new minter [\#45](https://github.com/samvera/noid-rails/pull/45) ([mjgiarlo](https://github.com/mjgiarlo))

## [v2.0.0.beta5](https://github.com/samvera/noid-rails/tree/v2.0.0.beta5) (2016-10-24)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.0.beta4...v2.0.0.beta5)

**Merged pull requests:**

- Use the File-backed minter as the default minter. [\#44](https://github.com/samvera/noid-rails/pull/44) ([mjgiarlo](https://github.com/mjgiarlo))

## [v2.0.0.beta4](https://github.com/samvera/noid-rails/tree/v2.0.0.beta4) (2016-10-21)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.1.2...v2.0.0.beta4)

**Merged pull requests:**

- Use and test updated Rails versions: 4.2.7.1 and 5.0.0.1 [\#43](https://github.com/samvera/noid-rails/pull/43) ([mjgiarlo](https://github.com/mjgiarlo))
- Add CodeClimate badge to README [\#42](https://github.com/samvera/noid-rails/pull/42) ([mjgiarlo](https://github.com/mjgiarlo))
- Fix treeify algorithm [\#41](https://github.com/samvera/noid-rails/pull/41) ([mjgiarlo](https://github.com/mjgiarlo))
- Alignment and configuration [\#40](https://github.com/samvera/noid-rails/pull/40) ([mjgiarlo](https://github.com/mjgiarlo))
- Bump engine\_cart to 1.0.x [\#39](https://github.com/samvera/noid-rails/pull/39) ([atz](https://github.com/atz))
- Remove duplicate line from Gemfile [\#38](https://github.com/samvera/noid-rails/pull/38) ([atz](https://github.com/atz))

## [v1.1.2](https://github.com/samvera/noid-rails/tree/v1.1.2) (2016-10-21)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.0.beta3...v1.1.2)

**Fixed bugs:**

- Pin for a CurationConcerns issue [\#34](https://github.com/samvera/noid-rails/issues/34)

**Closed issues:**

- Running generator raises an error. [\#37](https://github.com/samvera/noid-rails/issues/37)
- Test gem in two configurations: with Rails and without Rails [\#36](https://github.com/samvera/noid-rails/issues/36)
- Conditionalize autoload of Engine and classes that depend on ActiveRecord [\#35](https://github.com/samvera/noid-rails/issues/35)
- MinterState isn't requirable by implementors. [\#29](https://github.com/samvera/noid-rails/issues/29)

## [v2.0.0.beta3](https://github.com/samvera/noid-rails/tree/v2.0.0.beta3) (2016-09-13)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.0.beta2...v2.0.0.beta3)

**Merged pull requests:**

- Loosen Active-fedora dependency to allow version 11 [\#33](https://github.com/samvera/noid-rails/pull/33) ([jcoyne](https://github.com/jcoyne))
- Remove the post\_install\_message [\#32](https://github.com/samvera/noid-rails/pull/32) ([jcoyne](https://github.com/jcoyne))

## [v2.0.0.beta2](https://github.com/samvera/noid-rails/tree/v2.0.0.beta2) (2016-08-09)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v2.0.0.beta1...v2.0.0.beta2)

**Fixed bugs:**

- Generator fails with Active Fedora 10.1.0 [\#30](https://github.com/samvera/noid-rails/issues/30)

**Merged pull requests:**

- Relax the rails dependency to allow for Rails 5 [\#31](https://github.com/samvera/noid-rails/pull/31) ([jcoyne](https://github.com/jcoyne))

## [v2.0.0.beta1](https://github.com/samvera/noid-rails/tree/v2.0.0.beta1) (2016-06-22)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.1.1...v2.0.0.beta1)

**Closed issues:**

- DB minter design questions [\#24](https://github.com/samvera/noid-rails/issues/24)
- default\_minter probably shouldn't set minter [\#20](https://github.com/samvera/noid-rails/issues/20)

**Merged pull requests:**

- database backed minter [\#25](https://github.com/samvera/noid-rails/pull/25) ([atz](https://github.com/atz))

## [v1.1.1](https://github.com/samvera/noid-rails/tree/v1.1.1) (2016-06-15)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.1.0...v1.1.1)

**Closed issues:**

- translate\_uri\_to\_id is dropping anchors. [\#26](https://github.com/samvera/noid-rails/issues/26)
- new DB-backed minter [\#21](https://github.com/samvera/noid-rails/issues/21)

**Merged pull requests:**

- Preserve the hash when translating to id. Fixes \#26 [\#27](https://github.com/samvera/noid-rails/pull/27) ([jcoyne](https://github.com/jcoyne))

## [v1.1.0](https://github.com/samvera/noid-rails/tree/v1.1.0) (2016-05-10)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.0.3...v1.1.0)

**Merged pull requests:**

- Allow active\_fedora-noid to work with active-fedora 10 [\#19](https://github.com/samvera/noid-rails/pull/19) ([jcoyne](https://github.com/jcoyne))

## [v1.0.3](https://github.com/samvera/noid-rails/tree/v1.0.3) (2015-12-04)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.0.2...v1.0.3)

**Merged pull requests:**

- Adding check for gone since that is also not a valid id to mint. [\#18](https://github.com/samvera/noid-rails/pull/18) ([carolyncole](https://github.com/carolyncole))

## [v1.0.2](https://github.com/samvera/noid-rails/tree/v1.0.2) (2015-08-11)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.0.1...v1.0.2)

**Merged pull requests:**

- Append to minter state files in binary mode. Reverts \#16 [\#17](https://github.com/samvera/noid-rails/pull/17) ([mjgiarlo](https://github.com/mjgiarlo))
- Set default encoding of minter state files and allow overrides. [\#16](https://github.com/samvera/noid-rails/pull/16) ([mjgiarlo](https://github.com/mjgiarlo))

## [v1.0.1](https://github.com/samvera/noid-rails/tree/v1.0.1) (2015-08-06)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v0.3.0...v1.0.1)

**Closed issues:**

- Remove treeifier workaround [\#13](https://github.com/samvera/noid-rails/issues/13)
- Wrong id for short ids [\#10](https://github.com/samvera/noid-rails/issues/10)
- I need access to push the gem [\#9](https://github.com/samvera/noid-rails/issues/9)
- Discuss the right way to "bucket" assets [\#5](https://github.com/samvera/noid-rails/issues/5)

**Merged pull requests:**

- Use Marshal to serialize minter state rather than YAML [\#15](https://github.com/samvera/noid-rails/pull/15) ([mjgiarlo](https://github.com/mjgiarlo))
- Revert treeifier functionality. Fixes \#13 [\#14](https://github.com/samvera/noid-rails/pull/14) ([mjgiarlo](https://github.com/mjgiarlo))
- Test default statefile option. \(Fixes typo -- previous test was a duplicate.\) [\#12](https://github.com/samvera/noid-rails/pull/12) ([mjgiarlo](https://github.com/mjgiarlo))
- Calculating baseurl length instead of assumig based on default settings [\#11](https://github.com/samvera/noid-rails/pull/11) ([escowles](https://github.com/escowles))
- translate\_uri\_to\_id should handle deeper paths. Fixes \#7 [\#8](https://github.com/samvera/noid-rails/pull/8) ([jcoyne](https://github.com/jcoyne))

## [v0.3.0](https://github.com/samvera/noid-rails/tree/v0.3.0) (2015-07-14)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v1.0.0...v0.3.0)

**Closed issues:**

- When URI has nested nodes the id is wrong [\#7](https://github.com/samvera/noid-rails/issues/7)
- Should default\_solr\_param be overrideable? [\#4](https://github.com/samvera/noid-rails/issues/4)

## [v1.0.0](https://github.com/samvera/noid-rails/tree/v1.0.0) (2015-04-09)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v0.2.0...v1.0.0)

**Closed issues:**

- Add Documentation About Configuring AF [\#2](https://github.com/samvera/noid-rails/issues/2)

**Merged pull requests:**

- Change "bucket" algorithm [\#3](https://github.com/samvera/noid-rails/pull/3) ([jechols](https://github.com/jechols))
- Fix coveralls by using spec\_helper. [\#1](https://github.com/samvera/noid-rails/pull/1) ([tpendragon](https://github.com/tpendragon))

## [v0.2.0](https://github.com/samvera/noid-rails/tree/v0.2.0) (2015-03-31)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v0.1.0...v0.2.0)

## [v0.1.0](https://github.com/samvera/noid-rails/tree/v0.1.0) (2015-03-30)

[Full Changelog](https://github.com/samvera/noid-rails/compare/v0.0.1...v0.1.0)

## [v0.0.1](https://github.com/samvera/noid-rails/tree/v0.0.1) (2015-02-14)

[Full Changelog](https://github.com/samvera/noid-rails/compare/fed66a332e7374c9b3d9aba53ed79f9db1d4986d...v0.0.1)



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
